<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <title>Grid CheatSheet</title>
</head>

<body>
    <div class="container-fluid">
        <div style="height: 70vh;" class="row justify-content-between align-items-start">
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>
            <div class="exo-col">
                <article class="border">article</article>
            </div>

        </div>
    </div>
    <div class="row">
        <div class="col-12 col-md-4">
            <select id="select-justify" class="custom-select mt-3">
                <option>justify-content-start</option>
                <option>justify-content-end</option>
                <option>justify-content-around</option>
                <option>justify-content-between</option>
                <option>justify-content-center</option>
            </select>
        </div>
        <div class="col-12 col-md-4">
            <select id="select-align" class="custom-select mt-3">
                <option>align-items-start</option>
                <option>align-items-end</option>
                <option>align-items-center</option>
            </select>
        </div>

        <div class="col-12 col-md-4">
            <div class="input-group mt-3">
                <div class="input-group-prepend">
                    <div class="input-group-text">col-</div>
                </div>
                <input id="col-input" type="number" class="form-control" max="12" min="1" value="4">

            </div>
        </div>

        <div class="col-12 col-md-4">
            <div class="input-group mt-3">
                <div class="input-group-prepend">
                    <div class="input-group-text">Visible</div>
                </div>
                <input id="show-input" class="form-control" type="number" class="mt-3" max="12" min="1" value="12">


            </div>
        </div>
    </div>
    <script src="js/grid-cheatsheet.js"></script>
</body>

</html>